Package Gnumed :: Package timelinelib :: Package db :: Package objects :: Module subevent :: Class Subevent |
[frames] | no frames]

# Class Subevent

source code

     object --+
              |
    event.Event --+
                  |
                 Subevent

Instance Methods
__init__(self, time_type, start_time, end_time, text, category=None, container=None, cid=-1) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
is_container(self) Overrides parent method. | source code
is_subevent(self) Overrides parent method. | source code
update_period(self, start_time, end_time) Overrides parent method. | source code
update_period_o(self, new_period) Overrides parent method. | source code
cid(self) | source code
register_container(self, container) | source code
Inherited from `event.Event`: `clone`, `get_data`, `get_label`, `has_data`, `has_id`, `inside_period`, `is_period`, `mean_time`, `set_data`, `set_id`, `time_span`, `update`, `update_end`, `update_start` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, time_type, start_time, end_time, text, category=None, container=None, cid=-1) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### is_container(self) | source code
Overrides parent method. Overrides: event.Event.is_container

### is_subevent(self) | source code
Overrides parent method. Overrides: event.Event.is_subevent

### update_period(self, start_time, end_time) | source code
Overrides parent method. Overrides: event.Event.update_period

### update_period_o(self, new_period) | source code
Overrides parent method. Overrides: event.Event.update_period_o